package com.platform.modules.weixin.kit;

import java.io.Serializable;

/**
 * 微信JS-SDK签名
 *
 */
public class JsSignature implements Serializable {

	private static final long serialVersionUID = 1L;
	private String noncestr;
	private String jsapi_ticket;
	private String timestamp;
	private String url;
	
	public JsSignature(){
	}
	
	public JsSignature(String noncestr, String jsapi_ticket, String timestamp, String url) {
		super();
		this.noncestr = noncestr;
		this.jsapi_ticket = jsapi_ticket;
		this.timestamp = timestamp;
		this.url = url;
	}

	public String getNoncestr() {
		return noncestr;
	}

	public void setNoncestr(String noncestr) {
		this.noncestr = noncestr;
	}

	public String getJsapi_ticket() {
		return jsapi_ticket;
	}

	public void setJsapi_ticket(String jsapi_ticket) {
		this.jsapi_ticket = jsapi_ticket;
	}

	public String getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(String timestamp) {
		this.timestamp = timestamp;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}
}
